Package org.h2.mvstore.db

# Class LobStorageMap.BlobReference

java.lang.Object
org.h2.mvstore.db.LobStorageMap.BlobReference

All Implemented Interfaces:
  `Comparable<LobStorageMap.BlobReference>`

Enclosing class:
  `LobStorageMap`

public static final class LobStorageMap.BlobReference extends Object implements Comparable<LobStorageMap.BlobReference>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LobStorageMap.BlobReference.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`final long`
`lobId`
`final byte[]`
`streamStoreId`

## Constructor Summary

Constructors
Constructor
Description
`BlobReference(byte[] streamStoreId, long lobId)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(LobStorageMap.BlobReference other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### streamStoreId

public final byte[] streamStoreId

### lobId

public final long lobId

## Constructor Details

### BlobReference

public BlobReference(byte[] streamStoreId, long lobId)

## Method Details

### compareTo

public int compareTo(LobStorageMap.BlobReference other)

Specified by:
  `compareTo` in interface `Comparable<LobStorageMap.BlobReference>`